%define libname      %mklibname txc-dxtn
%define devellibname %mklibname txc-dxtn -d

Name:           libtxc_dxtn
Summary:        S3 Texture Compression (S3TC) extension for Mesa
# fix update from mdv/plf:
Epoch:          1
Version:        1.0.1
Release:        %mkrel 14
Group:          System/Libraries
License:        BSD
URL:            https://dri.freedesktop.org/wiki/S3TC
Source0:        https://cgit.freedesktop.org/~mareko/libtxc_dxtn/snapshot/libtxc_dxtn-%{version}.tar.gz
BuildRequires:  mesagl-devel

%description
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%package -n     %{devellibname}
Summary:        S3 Texture Compression (S3TC) extension for Mesa
Group:          System/Libraries
Requires:       %{libname} = %{epoch}:%{version}

%description -n %{devellibname}
An open source implementation of the S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

%package -n     %{libname}
Summary:        S3 Texture Compression (S3TC) extension for Mesa
Group:          System/Libraries
Provides:       %{name} = %{version}
Conflicts:      %{_lib}txc-dxtn-devel < 1.0.1-3

%description -n %{libname}
An open source implementation of the  S3 Texture Compression (S3TC)
for use with the open source OpenGL implementation Mesa.

This provides the GLX extension GL_EXT_texture_compression_s3tc.

This package is in the "tainted" section because S3TC is covered by software
patents.

#-----------------------------------------------------------

%prep
%setup -q
mkdir -p m4

%build
NOCONFIGURE=1 ./autogen.sh
%configure
%make_build

%install
%make_install

# we don't want these
find %{buildroot} -name '*.la' -delete

%files -n %{libname}
%doc Changelog
%{_libdir}/%{name}.so

%files -n %{devellibname}
%doc Changelog
%{_includedir}/txc_dxtn.h


%changelog
* Thu Jul 03 2025 umeabot <umeabot> 1:1.0.1-14.mga10
+ Revision: 2244360
- Mageia 10 Mass Rebuild

* Thu Apr 14 2022 umeabot <umeabot> 1:1.0.1-13.mga9.tainted
+ Revision: 1849688
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 1:1.0.1-12.mga8.tainted
+ Revision: 1548878
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Sep 20 2018 umeabot <umeabot> 1:1.0.1-11.mga7.tainted
+ Revision: 1279200
- Mageia 7 Mass Rebuild

* Fri Jul 08 2016 daviddavid <daviddavid> 1:1.0.1-10.mga6.tainted
+ Revision: 1039789
- fix a spelling error in summary (mga#18893)

* Sat Jul 02 2016 wally <wally> 1:1.0.1-9.mga6.tainted
+ Revision: 1038294
- really rebuild for arm

* Thu Jan 28 2016 daviddavid <daviddavid> 1:1.0.1-8.mga6.tainted
+ Revision: 928449
- rebuild for arm
- pass NOCONFIGURE=1 to autogen

* Thu Nov 20 2014 pterjan <pterjan> 1:1.0.1-7.mga5.tainted
+ Revision: 797942
- Fix missing epoch in -devel dependency

* Wed Oct 15 2014 umeabot <umeabot> 1:1.0.1-6.mga5.tainted
+ Revision: 740926
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.0.1-5.mga5.tainted
+ Revision: 681821
- Mageia 5 Mass Rebuild

* Thu Oct 31 2013 tmb <tmb> 1:1.0.1-4.mga4.tainted
+ Revision: 548207
- Mageia 4 rebuild

* Sat Jan 12 2013 fwang <fwang> 1:1.0.1-3.mga3.tainted
+ Revision: 359157
- drop .la file
- mkdir m4
- correct conflicts
- cleanup spec
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 28 2012 tv <tv> 1:1.0.1-2.mga2.tainted
+ Revision: 202556
- bump release for upgrading from mdv
- new URL
- new version
- fix file list
- add devel subpackage
- prevent uploading into core by mistake
- rpmlint cleanup
- imported package libtxc_dxtn


* Wed Aug 24 2011 Thierry Vignaud <tvignaud@mandriva.com> 1.0.1-1.mga2
- new URL
- new version
- fix file list
- add devel subpackage
- prevent uploading into core by mistake

* Thu Jul 09 2009 Anssi Hannula <anssi@zarb.org> 070518-1plf2009.1
- initial PLF release based on .spec from Colin Guthrie

